function loadFunctions()
	function getDistance(x1,y1,x2,y2)
		return ((x2-x1)^2+(y2-y1)^2)^0.5 
	end
	
	function summon(enemyId, count)
		while count > 0 do
			count = count - 1
			side = math.random(1,2)
			if side == 1 then
				newEnemy = {x = math.random(border.x+border.width+1000,border.x+border.width+2000), y = math.random(border.y+border.height+1000,border.y-border.height-1000), id = enemyId, ids = math.random(1,1000000)} 
			else
				newEnemy = {x = math.random(border.x-border.width-1000,border.x-border.width-2000), y = math.random(border.y+border.height+1000,border.y-border.height-1000), id = enemyId, ids = math.random(1,1000000)}
			end
			
			table.insert(enemies,newEnemy)
		end
	end
	
	function updateCardRandom()
		cardRandom = {first = math.random(1,8), second = math.random(1,8), third = math.random(1,8)}
		while cardRandom.first == cardRandom.second or cardRandom.first == cardRandom.third or cardRandom.second == cardRandom.third do
			cardRandom = {first = math.random(1,8), second = math.random(1,8), third = math.random(1,8)}
		end
	end
	
	function updateAudioRandom()
		if math.floor(wave.current/10)*10 == wave.current then
			audioRandom.combat = 0
		else
			audioRandom.combat = math.random(1,6) 
		end
	end
	
	function spark(id1,x1,y1,speed1,dir,timer1,count,color1)
		while count > 0 do
			if dir == 1 then
				xdir1 = math.random(-100,100)/100
				ydir1 = math.random(-100,100)/100
			elseif dir == 2 then
				xdir1 = x1 - player.x / getDistance(x1,y1,player.x,player.y)
				ydir1 = y1 - player.y / getDistance(x1,y1,player.x,player.y)
			elseif dir == 3 then
				xdir1 = 0
				ydir1 = -1
			end
			count = count - 1
			newParticle = {id = id1, x = x1, y = y1 , speed = speed1, xdir = xdir1, ydir = ydir1, timer = timer1, color = color1} table.insert(particles,newParticle)
		end
	end
	
	function playS(sound)
		love.audio.stop(sound)
		love.audio.play(sound)
	end
	
	function getEnemyCount()
		local n = 0
		for i, enemy in pairs(enemies) do
			n = n + 1
		end
		return n
	end
	
	function getGhoulCount()
		local n = 0
		for i, enemy in pairs(enemies) do
			if enemy.id == 8 then
				n = n + 1
			end
		end
		return n
	end
	
	function alignbgTiles()
		for i, tile in pairs(bgTiles) do
			tile.x = math.floor(tile.x/40)*40
			tile.y = math.floor(tile.y/40)*40
		end
			border.x = math.floor(border.x/40)*40
			border.y = math.floor(border.y/40)*40
	end
	
	function playerInBorder()
		while player.x > border.x+border.width do
			for i, tile in pairs(bgTiles) do
				tile.x = tile.x + 40
			end
		end
			border.x = border.x + 40
		while player.x < border.x-border.width do
			while player.x < border.x-border.width do
				for i, tile in pairs(bgTiles) do
					tile.x = tile.x - 40
				end
			end
				border.x = border.x - 40
		end
		while player.y < border.y-border.height do
			while player.y > border.y+border.height do
				for i, tile in pairs(bgTiles) do
					tile.y = tile.y - 40
				end
			end
				border.y = border.y - 40
		end
		while player.y > border.y+border.height do
			while player.y < border.y-border.height do
				for i, tile in pairs(bgTiles) do
					tile.y = tile.y + 40
				end
			end
				border.y = border.y + 40
		end
	end
	
end