function updateInput()
--set player dir
	player.ydir = 0
	player.xdir = 0

	if love.keyboard.isDown('w') and col.blockUp == false then
		player.ydir = -player.speed
	end

	if love.keyboard.isDown('s') and col.blockDown == false then
		player.ydir = player.speed
	end

	if love.keyboard.isDown('a') and col.blockLeft == false then
		player.xdir = -player.speed
	end

	if love.keyboard.isDown('d') and col.blockRight == false then
		player.xdir = player.speed
	end

--move player
	if love.keyboard.isDown('w','a','s','d') and inMenu == false then
		for i, enemy in pairs(enemies) do
			enemy.x = enemy.x - (player.xdir*hdt)
			enemy.y = enemy.y - (player.ydir*hdt)
		end
		for i, bullet in pairs(bullets) do
			bullet.x = bullet.x - (player.xdir*hdt)
			bullet.y = bullet.y - (player.ydir*hdt)
		end
		for i, particle in pairs(particles) do
			particle.x = particle.x - (player.xdir*hdt)
			particle.y = particle.y - (player.ydir*hdt)
		end
		for i, bgTile in pairs(bgTiles) do
			bgTile.x = bgTile.x - (player.xdir*hdt)
			bgTile.y = bgTile.y - (player.ydir*hdt)
		end
		border.x = border.x - (player.xdir*hdt)
		border.y = border.y - (player.ydir*hdt)
	end

--shooting
	xd = -((player.x - mouse.x) / getDistance(player.x,player.y,mouse.x,mouse.y))
	yd = -((player.y - mouse.y) / getDistance(player.x,player.y,mouse.x,mouse.y))
	weapon.timer = weapon.timer + hdt

	if love.mouse.isDown(1) then
		if weapon.timer > weapon.maxTimer then
			weapon.timer = 0
			newBullet = {x = player.x, y = player.y, xdir = xd, ydir = yd, speed = weapon.speed, damage = weapon.damage, friendly = true} table.insert(bullets,newBullet)
			if inMenu then else
				playS(a_shoot)
			end
		end
	end

--activating cards
	for i, card in pairs(cards) do
		if mouse.x > card.x and mouse.x < card.x + 200 and mouse.y > card.y and mouse.y < card.y + 200 then --hover check
			if card.hover == false then
				playS(a_cardselect)
			end
			card.hover = true
			if love.mouse.isDown('1') and audioController.combatVolume == 0 then --click lmb and audio-is-low check
				if card.id == 0 then --reroll
					cards = {}
					updateCardRandom()
					newCard = {x = 1280/2-500, y = 300, id = cardRandom.first} table.insert(cards,newCard)
					newCard = {x = 1280/2+300, y = 300, id = cardRandom.second} table.insert(cards,newCard)

				elseif card.id == 1 then --health boost
					player.maxHealth = player.maxHealth + 12
					cardLevel.health = cardLevel.health + 1
				elseif card.id == 2 then --speed boost
					player.speed = player.speed + 50
					cardLevel.speed = cardLevel.speed + 1
				elseif card.id == 3 then --damage boost
					weapon.damage = weapon.damage + 2.5
					cardLevel.damage = cardLevel.damage + 1
				elseif card.id == 4 then --border increase
					border.width = border.width + 80
					border.height = border.height + 40
					cardLevel.border = cardLevel.border + 1
				elseif card.id == 5 then --firerate increase
					weapon.maxTimer = weapon.maxTimer / 1.1
					cardLevel.firerate = cardLevel.firerate + 1
				elseif card.id == 6 then --bullet speed boost
					weapon.speed = weapon.speed + 225
					cardLevel.bulletSpeed = cardLevel.bulletSpeed + 1
				elseif card.id == 7 then --poison enable/boost
					weapon.poisonTime = weapon.poisonTime + 1
					cardLevel.poison = cardLevel.poison + 1
				elseif card.id == 8 then --gain armor
					player.armor = player.armor + 80
					cardLevel.armor = cardLevel.armor + 1
				end

				if card.id == 0 then else
					audioRandom.change = true
					playS(a_carduse)
					player.health = player.maxHealth
					cards = {}
				end
			end
		else
			card.hover = false
		end
	end

--menu controls
	if inMenu then
		--change selection
		if love.keyboard.isDown('a','left') and menu.isDown == false then
			menu.selected = menu.selected - 1
			menu.isDown = true
		end
		if love.keyboard.isDown('d','right') and menu.isDown == false then
			menu.selected = menu.selected + 1
			menu.isDown = true
		end

		--change charcter
		if menu.selected == 0 and menu.isDown == false then
			if love.keyboard.isDown('w','up') then
				menu.character = menu.character + 1

				if menu.character > 2 then	--check if selected charcter is unlocked
					while menu.character == 3 and unlocks.smuggler == 0 or menu.character == 4 and unlocks.blacksmith == 0 or menu.character == 5 and unlocks.berserker == 0 or menu.character == 6 and unlocks.gambler == 0 do
						menu.character = menu.character + 1
					end
				end

				if menu.character > 6 then
					menu.character = 0
				end

			elseif love.keyboard.isDown('s','down') then
				menu.character = menu.character - 1

				if menu.character < 0 then
					menu.character = 6
				end

				if menu.character > 2 then	--check if selected charcter is unlocked
					while menu.character == 3 and unlocks.smuggler == 0 or menu.character == 4 and unlocks.blacksmith == 0 or menu.character == 5 and unlocks.berserker == 0 or menu.character == 6 and unlocks.gambler == 0 do
						menu.character = menu.character - 1
					end
				end

			end
			menu.isDown = true
		end

		--play
		if love.keyboard.isDown('space', 'return') and menu.isDown == false and menu.selected == 1 then
			inMenu = false
			wave.current = 1
			wave.timer = 0
			wave.displayCards = false
			wave.alpha = 1000
			wave.timer = 4
			cards = {}
			enemies = {}
			bullets = {}
			audioController.combatVolume = 0
			gameover.redAlpha = 0
			audioRandom.change = true
			cardLevel = {speed = 0, health = 0, damage = 0, firerate = 0, armor = 0, poison = 0, border = 0, bulletSpeed = 0}
			border = {x = 1280/2, y = 720/2, width = 440, height = 240}
			weapon.poisonTime = 0
			alignbgTiles()
			playerInBorder()

			playS(a_musicCombat)




			if menu.character == 0 then		--player stats for different characters  --knight
				player.speed = 250
				player.health = 100
				player.maxHealth = 100
				player.armor = 0
				weapon.damage = 15
				weapon.speed = 600
				weapon.maxTimer = 0.2
			end
			if menu.character == 1 then		--Brute
				player.speed = 220
				player.health = 100
				player.maxHealth = 100
				player.armor = 0
				weapon.damage = 25
				weapon.speed = 800
				weapon.maxTimer = 0.275
			end
			if menu.character == 2 then		--Rogue
				player.speed = 310
				player.health = 80
				player.maxHealth = 80
				player.armor = 0
				weapon.damage = 13
				weapon.speed = 800
				weapon.maxTimer = 0.17
			end
			if menu.character == 3 then		--Smuggler
				player.speed = 250
				player.health = 80
				player.maxHealth = 80
				player.armor = 0
				weapon.damage = 10
				weapon.speed = 550
				weapon.maxTimer = 0.2
			end
			if menu.character == 4 then		--Blacksmith
				player.speed = 270
				player.health = 80
				player.maxHealth = 80
				player.armor = 0
				weapon.damage = 17.5
				weapon.speed = 550
				weapon.maxTimer = 0.25
			end
			if menu.character == 5 then		--Berserker
				player.speed = 240
				player.health = 70
				player.maxHealth = 70
				player.armor = 0
				weapon.damage = 15
				weapon.speed = 600
				weapon.maxTimer = 0.25
			end
			if menu.character == 6 then		--Gambler
				player.speed = 250
				player.health = 80
				player.maxHealth = 80
				player.armor = 0
				weapon.damage = 10
				weapon.speed = 550
				weapon.maxTimer = 0.2
			end
		end

		--change fullscreen
		if love.keyboard.isDown('space','return') and menu.isDown == false and menu.selected == 2 then
			if options.fullscreen then
				options.fullscreen = false
			else
				options.fullscreen = true
			end

			love.window.setFullscreen(options.fullscreen)
			menu.isDown = true
		end

		--check if down
		if love.keyboard.isDown('w','a','s','d','up','down','left','right','space','return') then else
			menu.isDown = false
		end
	end

	--gameover screen to main menu
	if love.keyboard.isDown('space') and gameover.redAlpha > 255*0.1 and player.health < 1 then
		menu.isDown = true
		inMenu = true
		player.health = 100
		gameover.redAlpha = -1000
		love.audio.stop(a_musicCombat)
		audioRandom.combat = 99
	end

--quit
	if love.keyboard.isDown('escape') then
		love.event.quit()
	end

--change fullscreen
	if love.keyboard.isDown('f') and options.press then
		options.press = false
		if options.fullscreen then
			options.fullscreen = false
			love.window.setFullscreen(false)
		else
			options.fullscreen = true
			love.window.setFullscreen(true)
		end

	end

--set showfps stuff
	if love.keyboard.isDown('z') and options.press then
		options.press = false
		if options.showFps then
			options.showFps = false
		else
			options.showFps = true
		end
	end

	if love.keyboard.isDown('z','f') then else
		options.press = true
	end

--change master volume
	if love.keyboard.isDown('+') then
		options.volume = options.volume + (1/3*hdt)
		if options.volume > 1 then
			options.volume = 1
		end
	end
	if love.keyboard.isDown('-') then
		options.volume = options.volume - (1/3*hdt)
		if options.volume < 0 then
			options.volume = 0
		end
	end


--instakill/speedbost cheat
	if love.keyboard.isDown('p') and love.keyboard.isDown('i') and love.keyboard.isDown('3') then
		player.speed = 350
	--	player.health = 9999
	--	player.maxHealth = 9999
		player.armor = 9999
		weapon.maxTimer = 0.1
		weapon.damage = 9999
		weapon.speed = 1500
	end

--demo cheat
	if love.keyboard.isDown('l') and love.keyboard.isDown('i') and love.keyboard.isDown('3') then
		player.speed = 400
	--	player.health = 9999
	--	player.maxHealth = 9999
		weapon.maxTimer = 0.13
		weapon.damage = 20
		weapon.speed = 850
	end

end
