function drawHUD()
	--draw cursor
	love.graphics.setColor(230,230,230)
	love.graphics.circle('line',mouse.x,mouse.y,10,20)
	
	
	--draw healthbar background
	love.graphics.setColor(50,50,50)
	love.graphics.rectangle('fill', 20+3,20-3,player.maxHealth*3+3,23)	--rects
	love.graphics.rectangle('fill', 20,20,player.maxHealth*3+6+3,20-3)
	love.graphics.circle('fill',20+3,20,3,10)	--cirlces
	love.graphics.circle('fill',20+3,20+(20-3),3,10)
	love.graphics.circle('fill',player.maxHealth*3+20+3+3,20,3,10)
	love.graphics.circle('fill',player.maxHealth*3+20+3+3,20+(20-3),3,10)
	--red bar
	love.graphics.setColor(255,0,0)
	love.graphics.rectangle('fill', 20+3,20-3,player.health*3+3,23)	--rects
	love.graphics.rectangle('fill', 20,20,player.health*3+6+3,20-3)
	love.graphics.circle('fill',20+3,20,3,10)	--cirlces
	love.graphics.circle('fill',20+3,20+(20-3),3,10)
	love.graphics.circle('fill',player.health*3+20+3+3,20,3,10)
	love.graphics.circle('fill',player.health*3+20+3+3,20+(20-3),3,10)
	--draw armor bar
	if player.armor > 1 then
		love.graphics.setColor(76,255,0)
		love.graphics.rectangle('fill', 20+3,20-3,player.armor*3+3,23)	--rects
		love.graphics.rectangle('fill', 20,20,player.armor*3+6+3,20-3)
		love.graphics.circle('fill',20+3,20,3,10)	--cirlces
		love.graphics.circle('fill',20+3,20+(20-3),3,10)
		love.graphics.circle('fill',player.armor*3+20+3+3,20,3,10)
		love.graphics.circle('fill',player.armor*3+20+3+3,20+(20-3),3,10)
	end
	
	--draw wave text below health
	if player.armor > 1 then
		love.graphics.setColor(76,255,0)
	else
		love.graphics.setColor(255,0,0)
	end
	love.graphics.setFont(f_eastlift)
	love.graphics.print('wave '.. wave.current, 20,45,0,1.5,1.5)
	
	--draw wave text middle
	wave.alpha = wave.alpha - (250*hdt)
	love.graphics.setFont(f_eastliftbig)
	love.graphics.setColor(255,0,0,wave.alpha)
	if menu.character == 3 or menu.character == 6 then
		love.graphics.print('wave '.. wave.current, 1280/2-170,720/2-300,0,1,1)
	else
		love.graphics.print('wave '.. wave.current, 1280/2-170,720/2-45,0,1,1)
	end
		
	--draw cards
	for i, card in pairs(cards) do
		
		if card.hover then
			if audioController.combatVolume == 0 then
				love.graphics.setColor(255,0,0)
			else
				love.graphics.setColor(255,0,0,255/3)
			end
		else
			if audioController.combatVolume == 0 then
				love.graphics.setColor(0,0,255)
			else
				love.graphics.setColor(0,0,255,255/3)
			end
		end
		love.graphics.rectangle('fill',card.x,card.y,200,200)
		love.graphics.rectangle('line',card.x-10,card.y-10,200+20,200+20)
		love.graphics.rectangle('line',card.x+20,card.y+200+10,200-40,1000)
		love.graphics.rectangle('line',card.x+20,card.y-1000-10,200-40,1000)
		if audioController.combatVolume == 0 then
			love.graphics.setColor(60,60,60)
		else
			love.graphics.setColor(60,60,60,255/2)
		end
		love.graphics.rectangle('fill',card.x+5,card.y+5,200-10,200-10)
		
		--draw card icons
		if audioController.combatVolume == 0 then
			love.graphics.setColor(255,255,255)
		else
			love.graphics.setColor(255,255,255,255/3)
		end
		
		if card.id == 0 then
			love.graphics.draw(i_cardReroll,card.x+10,card.y+10)
		end
		if card.id == 1 then
			love.graphics.draw(i_cardHealth,card.x+10,card.y+10)
		end
		if card.id == 2 then
			love.graphics.draw(i_cardSpeed,card.x+10,card.y+10)
		end
		if card.id == 3 then
			love.graphics.draw(i_cardDamage,card.x+10,card.y+10)
		end
		if card.id == 4 then
			love.graphics.draw(i_cardBorder,card.x+10,card.y+10)
		end
		if card.id == 5 then
			love.graphics.draw(i_cardFirerate,card.x+10,card.y+10)
		end
		if card.id == 6 then
			love.graphics.draw(i_cardBulletSpeed,card.x+10,card.y+10)
		end
		if card.id == 7 then
			love.graphics.draw(i_cardPoison,card.x+10,card.y+10)
		end
		if card.id == 8 then
			love.graphics.draw(i_cardArmor,card.x+10,card.y+10)
		end
	end
	
	--draw card levels
	for i, card in pairs(cards) do
		if card.id == 0 then
			currentCardLevel = "n/a"
		elseif card.id == 1 then
			currentCardLevel = cardLevel.health
		elseif card.id == 2 then
			currentCardLevel = cardLevel.speed
		elseif card.id == 3 then
			currentCardLevel = cardLevel.damage
		elseif card.id == 4 then
			currentCardLevel = cardLevel.border
		elseif card.id == 5 then
			currentCardLevel = cardLevel.firerate
		elseif card.id == 6 then
			currentCardLevel = cardLevel.bulletSpeed
		elseif card.id == 7 then
			currentCardLevel = cardLevel.poison
		elseif card.id == 8 then
			currentCardLevel = "n/a"
		end
		love.graphics.setFont(f_eastliftmedium,25)
		love.graphics.setColor(255,255,0)
		
		if card.id < 8 and card.id > 0 then
			love.graphics.print("Current Level: "..currentCardLevel,card.x-42.5,card.y-70)
		end
	end
	
	--draw card name
	for i, card in pairs(cards) do
		if card.hover then
			love.graphics.setColor(70,70,255)
			love.graphics.setFont(f_realityhyper)
			
			
			if card.id == 0 then
				love.graphics.print(" ",card.x,card.y+225)
			elseif card.id == 1 then
				love.graphics.print("+ maxhealth",card.x-15,card.y+225)
			elseif card.id == 2 then
				love.graphics.print("+ speed",card.x+23,card.y+225)
			elseif card.id == 3 then
				love.graphics.print("+ damage",card.x+8,card.y+225)
			elseif card.id == 4 then
				love.graphics.print("extend border",card.x-35,card.y+225)
			elseif card.id == 5 then
				love.graphics.print("+ firerate",card.x+5,card.y+225)
			elseif card.id == 6 then
				love.graphics.print("+ bulletvelocity",card.x-50,card.y+225)
			elseif card.id == 7 then
				love.graphics.print("+ poison",card.x+22,card.y+225)
			elseif card.id == 8 then
				love.graphics.print("armor up",card.x+10,card.y+225)
			end
		end
	end
	
	--draw volume info
	if love.keyboard.isDown('+','-') then
		love.graphics.setFont(f_realityhyper)
		love.graphics.setColor(255,255,0)
		love.graphics.print("Master volume: "..math.floor(options.volume*100),10,690)
	end
	
	
	--draw unlock text
	love.graphics.setFont(f_eastliftmedium)
	unlocks.textAlpha = unlocks.textAlpha - (255/2*hdt)
	local x = unlocks.textAlpha
	if x > 255 then
		x = 255
	end
	love.graphics.setColor(255,255,0,x)
	love.graphics.print("New character unlocked",1280/2-200,720/2-100)
	
	
	
	--draw gameover screen
	if player.health < 1 then
		gameover.redAlpha = gameover.redAlpha + (255/3*hdt)
	end
	love.graphics.setColor(255*2.5-gameover.redAlpha,0,0,gameover.redAlpha)
	love.graphics.rectangle('fill',0,0,1280,720)
	love.graphics.setColor(255,0,0)
	if gameover.redAlpha > 255 then
		if wave.current == 21 then
			love.graphics.setFont(f_eastliftbig)
			love.graphics.print("The End",1280/2-200,720/2-45)
		else
			love.graphics.setFont(f_eastliftbig)
			love.graphics.print("GameOver",1280/2-240,720/2-45)
		end
	end
	
	--drawlines
	love.graphics.setColor(255,255,255)
	love.graphics.draw(i_lines,0,0,0,0.5,0.5)
end