function drawMenu()
	if inMenu then
		--menu background
		local mr = true	--check for background tiles
		for i, tile in pairs(menuTiles) do
			mr = false
		end
		
		if mr then	--generate tile grid
			
			local x1 = 0
			local y1 = 0
			
			while y1 < 720 do
				newTile = {x = x1, y = y1} table.insert(menuTiles,newTile)
				if x1 > 1280 then
					x1 = 0
					y1 = y1 + 40
				else
					x1 = x1 + 40
				end
			end
		end
		
		--draw background tiles
		for i, tile in pairs(menuTiles) do
			local blue = 45/(getDistance(tile.x+20,tile.y+20,menu.lightX,menu.lightY)/800)+30
			
			love.graphics.setColor(30,30,blue)
			love.graphics.rectangle('fill',tile.x,tile.y,40,40)
			
			local blue = 25/(getDistance(tile.x+20,tile.y+20,menu.lightX,menu.lightY)/800)+25	
			
			love.graphics.setColor(20,20,blue)
			love.graphics.rectangle('fill',tile.x+1,tile.y+2,40-2,40-2)
		end
		
		--draw grey alpha box
		love.graphics.setColor(30,30,30,180)
		love.graphics.rectangle('fill',0,720/2-20,1280,200)
		
		--draw play button
		love.graphics.setFont(f_eastliftbig)
		love.graphics.setColor(255,0,0)
		love.graphics.print('play',1280/2-125,720/2)
		
		--draw fullscreen icon
		love.graphics.setColor(255,255,255)
		if options.fullscreen == false then
			love.graphics.draw(i_window,1280/2+450-(i_window:getWidth()/2)-10,350,0,1,1)
		else
			love.graphics.draw(i_fullscreen,1280/2+450-(i_fullscreen:getWidth()/2)-10,350,0,1,1)
		end
		
		--draw selection polygon
		love.graphics.setColor(255,0,0)
		love.graphics.polygon('fill',menu.sx-140,460,menu.sx+100,460,menu.sx+110,450,menu.sx-130,450)
		
		--draw charcter select
		love.graphics.setColor(255,0,0)
		love.graphics.rectangle('fill',1280/2-562.5+25,450-160,150,150)
		love.graphics.setColor(255/2,0,0)
		love.graphics.rectangle('fill',1280/2-562.5+25+10,450-160+10,130,130)
		
		love.graphics.setColor(255,0,0)
		love.graphics.circle('fill',menu.charX,menu.charY,40,60)
		love.graphics.setColor(80,40,40)
		love.graphics.circle('fill',menu.charX,menu.charY,38,60)
		if menu.character == 1 then
			love.graphics.setColor(255,0,0)
			love.graphics.line(menu.charX-40,menu.charY,menu.charX+40,menu.charY)
			
			characterInfo = {name = "Brute",damage = "High",speed = "Slow",firerate = "Low",health = "Medium",special = "none"}
		elseif menu.character == 2 then
			love.graphics.setColor(255,0,0)
			love.graphics.line(menu.charX,menu.charY-40,menu.charX,menu.charY+40)
			
			characterInfo = {name = "Rogue",damage = "Low",speed = "Fast",firerate = "High",health = "Low", special = "none"}
		elseif menu.character == 3 then
			love.graphics.setColor(255,0,0)
			love.graphics.circle('line',menu.charX,menu.charY,30,60)
			
			characterInfo = {name = "Smuggler",damage = "Low",speed = "Slow",firerate = "Low",health = "Low", special = "Gets to pick from three ability cards"}
		elseif menu.character == 4 then
			love.graphics.setColor(255,0,0)
			love.graphics.line(menu.charX-20,menu.charY-20, menu.charX+20,menu.charY-20, menu.charX+20,menu.charY+10, menu.charX,menu.charY+28, menu.charX-20,menu.charY+10, menu.charX-20,menu.charY-20)
			
			characterInfo = {name = "Blacksmith",damage = "Medium",speed = "Moderate",firerate = "Low",health = "Low", special = "Gets 10 armor at the end of the wave.", special2 = "Deals more damage when armor is equiped"}
		elseif menu.character == 5 then
			love.graphics.setColor(255,0,0)
			love.graphics.line(menu.charX,menu.charY-34, menu.charX+20,menu.charY, menu.charX,menu.charY+34, menu.charX-20,menu.charY, menu.charX,menu.charY-34)
			
			characterInfo = {name = "Berserker",damage = "Medium",speed = "Moderate",firerate = "Low",health = "Low", special = "Deals double damage at low health"}
		elseif menu.character == 6 then
			love.graphics.setColor(255,0,0)
			love.graphics.line(menu.charX-20,menu.charY-25, menu.charX+20,menu.charY-25, menu.charX+30,menu.charY-5, menu.charX,menu.charY+30, menu.charX-30,menu.charY-5, menu.charX-20,menu.charY-25)
			love.graphics.line(menu.charX-30,menu.charY-5, menu.charX+30,menu.charY-5)
			love.graphics.line(menu.charX-5,menu.charY-25, menu.charX-16,menu.charY-5, menu.charX,menu.charY+30)
			love.graphics.line(menu.charX+5,menu.charY-25, menu.charX+16,menu.charY-5, menu.charX,menu.charY+30)
			
			characterInfo = {name = "Gambler",damage = "Low",speed = "Slow",firerate = "Low",health = "Low", special = "Can reroll ability cards"}
		elseif menu.character == 0 then
			characterInfo = {name = "Knight",damage = "Medium",speed = "Moderate",firerate = "Medium",health = "Medium", special = "none"}
		else
			characterInfo = {name = "n/a",damage = "n/a",speed = "n/a",firerate = "n/a",health = "n/a", special = "n/a"}
		end
		
		--character info alpha stuff
		if menu.selected == 0 then
			menu.alphaStats = menu.alphaStats + (255*hdt)
			if menu.alphaStats > 255 then
				menu.alphaStats = 255
			end
		else
			menu.alphaStats = menu.alphaStats - (255*3*hdt)
			if menu.alphaStats < 0 then
				menu.alphaStats = 0
			end
		end
		--draw charcter info
		love.graphics.setFont(f_realityhyper)
		
		love.graphics.setColor(255,0,0,menu.alphaStats)
		love.graphics.print('Health: '..characterInfo.health,40,550)
		love.graphics.setColor(100,100,255,menu.alphaStats)
		love.graphics.print('Speed: '..characterInfo.speed,330,550)
		love.graphics.setColor(255,106,0,menu.alphaStats)
		love.graphics.print('Damage: '..characterInfo.damage,640,550)
		love.graphics.setColor(0,255,0,menu.alphaStats)
		love.graphics.print('Firerate: '..characterInfo.firerate,940,550)
		love.graphics.setColor(255,255,255,menu.alphaStats)
		love.graphics.print('Name: '..characterInfo.name,40,620)
		love.graphics.setColor(255,255,0,menu.alphaStats)
		love.graphics.print('Special: '..characterInfo.special,400,620)
		if characterInfo.special2 == nil then else
			love.graphics.print(characterInfo.special2,400,660)
		end
		
		--draw "press x to display acheives"
		love.graphics.setColor(240,240,240)
		love.graphics.setFont(f_realityhyper)
		love.graphics.print('press x to show unlocks',20,690)
		
		
		--draw acheivement screen
		if love.keyboard.isDown('x') then
			love.graphics.setColor(0,0,0,255/3*2)			--darken background
			love.graphics.rectangle('fill',0,0,1280,720)
			
			
			
			love.graphics.setColor(100,100,100,255/2)		--grey boxes
			love.graphics.rectangle('fill',0,100,1280,100)
			
			love.graphics.setColor(100,100,100,255/2)
			love.graphics.rectangle('fill',0,250,1280,100)
			
			love.graphics.setColor(100,100,100,255/2)
			love.graphics.rectangle('fill',0,400,1280,100)
			
			love.graphics.setColor(100,100,100,255/2)
			love.graphics.rectangle('fill',0,550,1280,100)
			
			
			
			if unlocks.smuggler == 0 then		--circles
				love.graphics.setColor(255,0,0)
				love.graphics.circle('line',50,150,25,30)
			else
				love.graphics.setColor(0,255,0)
				love.graphics.circle('line',50,150,25,30)
			end
			
			if unlocks.blacksmith == 0 then		
				love.graphics.setColor(255,0,0)
				love.graphics.circle('line',50,300,25,30)
			else
				love.graphics.setColor(0,255,0)
				love.graphics.circle('line',50,300,25,30)
			end
			
			if unlocks.berserker == 0 then		
				love.graphics.setColor(255,0,0)
				love.graphics.circle('line',50,450,25,30)
			else
				love.graphics.setColor(0,255,0)
				love.graphics.circle('line',50,450,25,30)
			end
			
			if unlocks.gambler == 0 then		
				love.graphics.setColor(255,0,0)
				love.graphics.circle('line',50,600,25,30)
			else
				love.graphics.setColor(0,255,0)
				love.graphics.circle('line',50,600,25,30)
			end
			
			
			
			love.graphics.setColor(255,255,0)	--name
			love.graphics.setFont(f_realityhyper)
			
			love.graphics.print('Powered up!', 85, 100)
			
			love.graphics.print("You look like you've seen a ghost", 85, 250)
			
			love.graphics.print('Killing spree', 85, 400)
			
			love.graphics.print('Who should you call?', 85, 550)
			
			
			
			love.graphics.setColor(240,240,240)		--description
			love.graphics.setFont(f_realityhyper)
			
			love.graphics.print('upgarde an ability to level 5', 85, 130)
			
			love.graphics.print('survive wave 10', 85, 280)
			
			love.graphics.print('kill 450 enemies in a single playthrough', 85, 430)
			
			love.graphics.print('survive wave 20', 85, 580)
			
			
			
			love.graphics.setColor(150,150,150)		--unlock info
			love.graphics.setFont(f_realityhyper)
			
			love.graphics.print('unlocks: smuggler', 85, 160)
			
			love.graphics.print('unlocks: blacksmith', 85, 310)
			
			love.graphics.print('unlocks: berserker', 85, 460)
			
			love.graphics.print('unlocks: gambler', 85, 610)
			
		end
		
		
		
		
		--draw lines
		love.graphics.setColor(255,255,255)
		love.graphics.draw(i_lines,0,0,0,0.5,0.5)
		
	end
end