inMenu = true

player = {x = 1280/2, y = 720/2, speed = 250, xdir = 0, ydir = 0, health = 100, maxHealth = 100, previousHealth = 100, armor = 0}
weapon = {equiped = 0, timer = 0, maxTimer = 0.2, damage = 15, speed = 600, poisonTime = 0}
border = {x = 1280/2, y = 720/2, width = 440, height = 240}
col = {blockUp = false, blockDown = false, blockLeft = false, blockRight = false}
wave = {current = 1, active = true, alpha = 1000, timer = 5, displayCards = false}
cardRandom = {first = 1, second = 1}
cardLevel = {speed = 0, health = 0, damage = 0, firerate = 0, armor = 0, poison = 0, border = 0, bulletSpeed = 0}
menu = {selected = 1, lightX = 0, lightY = 450, isDown = false, sx = 1280/2, character = 0, charX = (1280/2-562.5+25)+75, charY = 450-160/2-5, alphaStats = 0}
mouse = {adjustX = 0, adjustY = 0}
characterInfo = {name = "n/a",damage = "n/a",speed = "n/a",firerate = "n/a", special = "n/a"}
unlocks = {smuggler = false, blacksmith = false, berserker = false, gambler = false, started = false, textAlpha = 0, killCount = 0}
audioController = {combatVolume = 0, cardVolume = 0, menuVolume = 0}
audioRandom = {combat = 1, change = false, pCombat = 1, boss = false}
options = {fullscreen = false, volume = 0.5, showFps = false, press = false}
gameover = {redAlpha = 0}
particles = {}
cards = {}
enemies = {}
bullets = {}
bgTiles = {}
menuTiles = {}


function love.load(arg)
	require('bin/functions')
	require('bin/input')
	require('bin/enemies')
	require('bin/bullets')
	require('bin/bgtiles')
	require('bin/player')
	require('bin/cards')
	require('bin/menu')
	require('bin/unlocks')
	require('bin/particles')
	require('bin/wavecontroller')
	require('bin/audiocontroller')
	require('bin/render/drawplayer')
	require('bin/render/drawenemies')
	require('bin/render/drawbullets')
	require('bin/render/drawhud')
	require('bin/render/drawbackground')
	require('bin/render/drawmenu')
	require('bin/render/drawparticles')

	loadFunctions()
	love.mouse.setVisible(false)

	--get imgs
	i_lines = love.graphics.newImage('assets/overlays/lines.png')
	i_cardHealth = love.graphics.newImage('assets/cards/health.png')
	i_cardSpeed = love.graphics.newImage('assets/cards/speed.png')
	i_cardDamage = love.graphics.newImage('assets/cards/damage.png')
	i_cardBorder = love.graphics.newImage('assets/cards/border.png')
	i_cardFirerate = love.graphics.newImage('assets/cards/firerate.png')
	i_cardPoison = love.graphics.newImage('assets/cards/poison.png')
	i_cardBulletSpeed = love.graphics.newImage('assets/cards/bulletspeed.png')
	i_cardArmor = love.graphics.newImage('assets/cards/armor.png')
	i_cardReroll = love.graphics.newImage('assets/cards/reroll.png')
	i_window = love.graphics.newImage('assets/menu/window.png')
	i_fullscreen = love.graphics.newImage('assets/menu/fullscreen.png')
	i_skull = love.graphics.newImage('assets/skull.png')

	--get fonts
	f_eastlift = love.graphics.newFont('assets/fonts/eastlift.ttf')
	f_eastliftmedium = love.graphics.newFont('assets/fonts/eastlift.ttf',30)
	f_eastliftbig = love.graphics.newFont('assets/fonts/eastlift.ttf',90)
	f_realityhyper = love.graphics.newFont('assets/fonts/realityhyper.ttf', 30)


	--get audio
	a_shoot = love.audio.newSource('assets/audio/shoot.wav', 'static')
	a_hit = love.audio.newSource('assets/audio/hit.mp3', 'static')
	a_hit2 = love.audio.newSource('assets/audio/hit2.wav', 'static')
	a_cardselect = love.audio.newSource('assets/audio/cardselect.wav', 'static')
	a_carduse = love.audio.newSource('assets/audio/carduse.wav', 'static')
	a_musicCombat = love.audio.newSource('assets/audio/musiccombat.mp3', 'static')
	a_musicCombat1 = love.audio.newSource('assets/audio/musiccombat.mp3', 'static')
	a_musicCombat2 = love.audio.newSource('assets/audio/musiccombat2.mp3', 'static')
	a_musicCombat3 = love.audio.newSource('assets/audio/musiccombat3.mp3', 'static')
	a_musicCombat4 = love.audio.newSource('assets/audio/musiccombat4.mp3', 'static')
	a_musicCombat5 = love.audio.newSource('assets/audio/musiccombat5.mp3', 'static')
	a_musicCombat6 = love.audio.newSource('assets/audio/musiccombat6.mp3', 'static')
end

function love.update(dt)
	if player.health < 0 then
		player.health = 0
	end

	updateCardRandom()
	updateAudioRandom()

	hdt = dt
	mouse.x = love.mouse.getX() - mouse.adjustX
	mouse.y = love.mouse.getY() - mouse.adjustY


	player.previousHealth = player.health

	--update requierd functions
	updateAudioController()
	updateParticles()
	updateUnlocks()
	updateMenu()
	updateCards()
	updateWaveController()
	updateEnemies()
	updatePlayer()
	updateBullets()
	updateInput()
	updateBGTiles()
	updatePlayer()
end

function love.draw(dt)
	if mouse.x == nil or mouse.y == nil then
		mouse.x = 0
		mouse.y = 0
	end

	love.graphics.scale(love.graphics.getWidth()/1280, love.graphics.getHeight()/720)

	drawBackground()
	drawBullets()
	drawParticles()
	drawPlayer()
	drawEnemies()
	drawHUD()
	drawMenu()

	if options.showFps then
		love.graphics.setColor(0,0,255)
		love.graphics.setFont(f_realityhyper)
		love.graphics.print("FPS "..love.timer.getFPS(),1150,10)
	end
end
